## net.sf.statcvs.output
Class ReportConfig

    java.lang.Object
      net.sf.statcvs.output.ReportConfig

    public class ReportConfig

extends Object

A configuration object that controls several aspects of report creation, such as the output directory and chart sizes. A single instance is passed around to all objects involved in report creation.

Version:
  $Id: ReportConfig.java,v 1.12 2009/06/02 13:28:53 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

Field Summary
`static MarkupSyntax` `HTML`
`static MarkupSyntax` `XDOC`
`static MarkupSyntax` `XML`

Constructor Summary
`ReportConfig(Repository repository, String projectName, String rootDirectory, MarkupSyntax syntax, CssHandler cssHandler, String charSet)`

Method Summary
`void` `copyFileIntoReport(URL source, String destinationFilename)` Copies a file from a URL into the report.
`ChartImage` `createChartImage(String fileName, String title, JFreeChart chart, Dimension size)` Writes a chart image file.
`Page` `createPage(String fileName, String shortTitle, String fullTitle)` Creates an empty report page.
`String` `getCharSet()`
`CssHandler` `getCssHandler()`
`Dimension` `getLargeChartSize()`
`MarkupSyntax` `getMarkup()`
`String` `getProjectName()`
`Repository` `getRepository()`
`String` `getRootDirectory()`
`Dimension` `getSmallChartSize()`
`BugTracker` `getWebBugtracker()`
`WebRepositoryIntegration` `getWebRepository()`
`boolean` `isDeveloper(Author author)`
`void` `setLargeChartSize(Dimension newSize)`
`void` `setNonDeveloperLogins(Collection names)`
`void` `setSmallChartSize(Dimension newSize)`
`void` `setWebBugtracker(BugTracker webBugtracker)`
`void` `setWebRepository(WebRepositoryIntegration webRepository)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XDOC

    public static final MarkupSyntax XDOC

### HTML

    public static final MarkupSyntax HTML

### XML

    public static final MarkupSyntax XML

Constructor Detail

### ReportConfig

    public ReportConfig(Repository repository,
                        String projectName,
                        String rootDirectory,
                        MarkupSyntax syntax,
                        CssHandler cssHandler,
                        String charSet)

Method Detail

### setSmallChartSize

    public void setSmallChartSize(Dimension newSize)

### setLargeChartSize

    public void setLargeChartSize(Dimension newSize)

### setWebRepository

    public void setWebRepository(WebRepositoryIntegration webRepository)

### setWebBugtracker

    public void setWebBugtracker(BugTracker webBugtracker)

### setNonDeveloperLogins

    public void setNonDeveloperLogins(Collection names)

### getRootDirectory

    public String getRootDirectory()

### getRepository

    public Repository getRepository()

### getProjectName

    public String getProjectName()

### getSmallChartSize

    public Dimension getSmallChartSize()

### getLargeChartSize

    public Dimension getLargeChartSize()

### getMarkup

    public MarkupSyntax getMarkup()

### getCssHandler

    public CssHandler getCssHandler()

### getWebRepository

    public WebRepositoryIntegration getWebRepository()

### getWebBugtracker

    public BugTracker getWebBugtracker()

### createPage

    public Page createPage(String fileName,
                           String shortTitle,
                           String fullTitle)

  Creates an empty report page.

  Parameters:
    `fileName` - The page's file name, relative to the root, without file extension
    `shortTitle` - A short title for use in navigation links
    `fullTitle` - The full title for the headline
  Returns:
    An empty page according to the specifications

### createChartImage

    public ChartImage createChartImage(String fileName,
                                       String title,
                                       JFreeChart chart,
                                       Dimension size)

  Writes a chart image file.

  Parameters:
    `fileName` - The file's name, relative to the root.
    `title` - The chart's title
    `chart` - The JFreeChart representation
    `size` - Width and height in pixels
  Returns:
    An object representing the file

### copyFileIntoReport

    public void copyFileIntoReport(URL source,
                                   String destinationFilename)

  Copies a file from a URL into the report.

  Parameters:
    `source` - The source file
    `destinationFilename` - The destination, relative to the report root, without initial slash.

### isDeveloper

    public boolean isDeveloper(Author author)

### getCharSet

    public String getCharSet()